<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
/*
 * Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Keystone II Utility Applications</title>
<SCRIPT TYPE="text/javascript">
	function openpopup(url)
	{
	    location.href=url;
	}
	function submitForm1()
	{
		if(document.pressed == 'Write EEPROM')
		{
			document.iblUpgrade.action ="apps/utility_eeprom/cgi-bin/eepromwrite.cgi";
		}
		return true;
	}

	function submitForm2()
	{
		if(document.pressed == 'Read EEPROM')
		{
			document.eepromRead.action ="apps/utility_eeprom/cgi-bin/eepromread.cgi";
		}
		return true;
	}

</SCRIPT>
</head>
<body>
<div id="wrapper">
	<div id="logo">
		<h1>EEPROM Utility</h1>
	</div>
	<div id="header">
		<div id="menu">
		</div>
	</div>
</div>

<div id="page">
	<div id="content">
		<hr>
		<table cellpadding="6">
			<tr><td valign="center">
			<image src="apps/images/utilities-c66x.png">
			</td><td width="100%" align="justify">
			<h2>Program the EEPROM on the Platform</h2>
			<br>
			<p class="Description"><b>Description:</b> This page allows the user to read/write the I2C EEPROM. While programming IBL there is an option to restore the existing IBL configuration after the upgrade.</p>
			</td></tr>
		</table>
		<hr>
		<br>
		<div id="eepromwrite" style="width: 90%; margin-left: 25px; padding: 2px; border: 1px gray solid;">
			<form name="iblUpgrade" onsubmit="return submitForm1();" enctype="multipart/form-data" method="post">
			<table border="0" cellpadding="5" id="eepromwritetable" width="100%">
				<caption> <b> I2C EEPROM Write </b> </caption>
				<tr>
				<td width="30%" align="left">I2C Bus Address</td>
				<td align="left" width="60%">
				<input type="radio" value="0x50" name="busAddr"> 0x50
				<input type="radio" value="0x51" checked name="busAddr"> 0x51</td>
				</tr>
				<tr>
				<td width="30%" align="left">Image File</td>
				<td align="left" width="60%">
				<input type="file"  name="datafile" size="40px" value=""></td>
				</tr>
				<tr>
				<td width="91%" align="left" colspan="2"><input type="submit" onclick="document.pressed=this.value" value="Write EEPROM"></td>
				</tr>
			</table>
			</form>
		</div>
		<br>
		<div id="eepromRead" style="width: 90%; margin-left: 25px; padding: 2px; border: 1px gray solid;">
			<form name="eepromRead" onsubmit="return submitForm2();" enctype="multipart/form-data" method="post">
			<table border="0" cellpadding="5" id="eepromreadtable" width="100%">
				<caption> <b> I2C EEPROM Read </b> </caption>
				<tr>
				<td width="30%" align="left">I2C Bus Address</td>
				<td align="left" width="60%">
				<input type="radio" value="0x50" name="busAddr"> 0x50
				<input type="radio" value="0x51" checked name="busAddr"> 0x51</td>
				</tr>
				<tr>
				<td width="30%" align="left"><input type="submit" value="Read EEPROM" onclick="document.pressed=this.value"> </td>
				</tr>
			</table>
			</form>
		</div>
		<br>
		<br>
		<br>
	</div>

	<div style="clear: both;">&nbsp;</div>
</div>

<div id="footer">
	<p id="legal">( c ) 2013 Texas Instruments Incorporated&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>
</div>

</body>
</html>
